class RouteContext
  constructor: (@req, @res) ->

  title: (str) ->
    @titleStr = str

  description: (str) ->
    @descriptionStr = str

  params: (name) ->
    @req.param name

  render: (name, locals={}) ->
    locals.title ?= @titleStr
    locals.description ?= @descriptionStr
    @res.send dk.template.layout.render(name, locals)

  redirect: (path) ->
    @res.redirect path

module.exports = RouteContext
